mb_output_handler
mb_preferred_mime_name
Multibyte String Functions
PHP Manual

# mb_parse_str

(PHP 4 >= 4.0.6, PHP 5)

mb_parse_str — Parse GET/POST/COOKIE data and set global variable

### Description

bool mb_parse_str ( string `$encoded_string` [, array `&$result` ] )

Parses GET/POST/COOKIE data and sets global variables. Since PHP does not provide raw POST/COOKIE data, it can only be used for GET data for now. It parses URL encoded data, detects encoding, converts coding to internal encoding and set values to the `result` array or global variables.

### Parameters

`encoded_string`

  The URL encoded data.

`result`

  An array containing decoded and character encoded converted values.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### See Also

- mb_detect_order()
- mb_internal_encoding()

mb_output_handler
mb_preferred_mime_name
Multibyte String Functions
PHP Manual